# Recipe book config

The plugin comes with an integrated smart recipe book. It supports (infinitely deep) categories. An additional feature is when you click on an item in a recipe ingredient matrix that is craftable by another recipe in the plugin, it will take the player to that recipe when the player clicks on the ingredient.

Here is an example category configuration:\
You can also use `recipes`to list recipe IDs in combination with the `files`option

```yaml
categories:
  - id: custom_recipes
    files:
      - "aurora/_example"
    menu:
      title: "Custom recipes"
      item:
        material: diamond
        name: "&6Custom recipes"
        slot: 10
  - id: vanilla_recipes
    menu:
      title: "Vanilla recipes"
      item:
        material: emerald
        name: "&6Vanilla recipes"
        slot: 11
    categories:
      - id: my_smithing_recipes
        files:
          - "vanilla/smithing_table/_example"
        menu:
          title: "Smithing recipes"
          item:
            material: smithing_table
            name: "&6Smithing recipes"
            slot: 10
      - id: my_crafting_recipes
        files:
          - "vanilla/crafting_table/_example"
        menu:
          title: "Crafting recipes"
          item:
            material: crafting_table
            name: "&6Crafting recipes"
            slot: 11
      - id: my_furnace_recipes
        files:
          - "vanilla/furnace/_example"
        menu:
          title: "Furnace recipes"
          item:
            material: furnace
            name: "&6Furnace recipes"
            slot: 12
      - id: my_blast_furnace_recipes
        files:
          - "vanilla/blast_furnace/_example"
        menu:
          title: "Blast furnace recipes"
          item:
            material: blast_furnace
            name: "&6Blast furnace recipes"
            slot: 13
      - id: my_smoker_recipes
        files:
          - "vanilla/smoker/_example"
        menu:
          title: "Smoker recipes"
          item:
            material: smoker
            name: "&6Smoker recipes"
            slot: 14
      - id: my_campfire_recipes
        files:
          - "vanilla/campfire/_example"
        menu:
          title: "Campfire recipes"
          item:
            material: campfire
            name: "&6Campfire recipes"
            slot: 15
      - id: my_stone_cutter_recipes
        files:
          - "vanilla/stone_cutter/_example"
        menu:
          title: "Stonecutter recipes"
          item:
            material: stonecutter
            name: "&6Stonecutter recipes"
            slot: 15
      - id: my_cauldron_recipes
        files:
          - "vanilla/cauldron/_example"
        menu:
          title: "Cauldron recipes"
          item:
            material: cauldron
            name: "&6Cauldron recipes"
            slot: 16
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.auroramc.gg/auroracrafting/configuration/recipe-book-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
